# Generated from sb-acts-as-taggable-on-6.5.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name sb-acts-as-taggable-on

Name: rubygem-%{gem_name}
Version: 6.5.0
Release: 1%{?dist}
Summary: Advanced tagging for Rails
License: MIT
URL: https://github.com/hernamvel/acts-as-taggable-on
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.3.7
# BuildRequires: rubygem(rspec-rails)
# BuildRequires: rubygem(rspec-its)
# BuildRequires: rubygem(rspec)
# BuildRequires: rubygem(barrier)
# BuildRequires: rubygem(database_cleaner)
BuildArch: noarch

%description
For SB, with ActsAsTaggableOn, you can tag a single model on several contexts,
such as skills, interests, and awards. It also provides other advanced
functionality.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/Appraisals
%{gem_instdir}/Guardfile
%license %{gem_instdir}/LICENSE.md
%{gem_instdir}/UPGRADING.md
%{gem_instdir}/db
%{gem_instdir}/gemfiles
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/CONTRIBUTING.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/acts-as-taggable-on.gemspec
%{gem_instdir}/spec

%changelog
* Wed Sep 15 2021 mockbuilder - 6.5.0-1
- Initial package
